local emptWorld = {}


function mapLoader(map)
	for i = 1, love.graphics.getHeight() / 16 do
		map[i] = {}
		for j = 1, love.graphics.getWidth() / 16 do
			local number = love.math.random(0, 1)
			if number == 1 then
				map[i][j] = 0
			else
				map[i][j] = 1
			end
		end
	end
	-- makes more space for player to get through
	--applyCelAuto(map)
	
	return map
end

function smoothMap(map)
	for x = 2, #map - 1 do
		for y = 2, #map[x] - 1 do
			neighborWallTiles = getBorderCount(map, x, y)

			if (neighborWallTiles == 4) then
				map[x][y] = 1
			elseif (neighborWallTiles < 4) then
				map[x][y] = 0
			end
		end
	end
end

function getBorderCount(map, gridX, gridY)
	wallCount = 0
	for a = gridX - 1, gridX + 1 do
		for b = gridY - 1, gridY + 1 do
			if (a ~= gridX) or (b ~= gridY) then
				wallCount = wallCount + map[gridX][gridY]
			end
		end
	end
	return wallCount
end

function love.load()
	Map = mapLoader(emptWorld)
	--[[
	for i = 1, 16 do
		smoothMap(Map)
	end
	--]]
end


function love.draw()
	for i = 1, #Map do
		for j = 1, #Map[i] do
			if Map[i][j] == 0 then
				love.graphics.rectangle("fill", (j * 16) - 16, (i * 16) - 16, 16, 16)
			end
		end
	end
end